Package org.apache.commons.math3.fitting.leastsquares

# Interface LeastSquaresOptimizer.Optimum

All Superinterfaces:
  `LeastSquaresProblem.Evaluation`

Enclosing interface:
  `LeastSquaresOptimizer`

public static interface LeastSquaresOptimizer.Optimum extends LeastSquaresProblem.Evaluation
The optimum found by the optimizer. This object contains the point, its value, and some metadata.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEvaluations()`
Get the number of times the model was evaluated in order to produce this optimum.
`int`
`getIterations()`
Get the number of times the algorithm iterated in order to produce this optimum.

### Methods inherited from interface org.apache.commons.math3.fitting.leastsquares.LeastSquaresProblem.Evaluation

`getCost, getCovariances, getJacobian, getPoint, getResiduals, getRMS, getSigma`

## Method Details

### getEvaluations

int getEvaluations()
Get the number of times the model was evaluated in order to produce this optimum.

Returns:
  the number of model (objective) function evaluations

### getIterations

int getIterations()
Get the number of times the algorithm iterated in order to produce this optimum. In general least squares it is common to have one `evaluation` per iterations.

Returns:
  the number of iterations